//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

//StructuredBuffer<float4> color <bool color=true;>;

Texture2D tex0;
SamplerState s0:IMMUTABLE {Filter=MIN_MAG_MIP_LINEAR;AddressU=CLAMP;AddressV=CLAMP;};

RWStructuredBuffer<float4> Output : BACKBUFFER;

int numThreads;

float2 R;

[numthreads(16, 16, 1)]
void CS( uint3 tid : SV_DispatchThreadID )
{
	uint idx = tid.y * R.x + tid.x;
	
	Output[idx] = tex0.Load(int3(tid.xy,0));
}


technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}




